commit:     e311406b8d8ed9faffd593492c870b407a78ec2b
Author:     Austin English <wizardedit <AT> gentoo <DOT> org>
AuthorDate: Wed Sep 21 22:06:40 2016 +0000
Commit:     Austin English <wizardedit <AT> gentoo <DOT> org>
CommitDate: Wed Sep 21 22:09:53 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e311406b

www-apps/chromedriver-bin: initial ebuild

Package-Manager: portage-2.3.0

 www-apps/chromedriver-bin/Manifest                 |  2 ++
 .../chromedriver-bin/chromedriver-bin-2.24.ebuild  | 25 ++++++++++++++++++++++
 www-apps/chromedriver-bin/metadata.xml             | 12 +++++++++++
 3 files changed, 39 insertions(+)

diff --git a/www-apps/chromedriver-bin/Manifest 
b/www-apps/chromedriver-bin/Manifest
new file mode 100644
index 00000000..86f4667
--- /dev/null
+++ b/www-apps/chromedriver-bin/Manifest
@@ -0,0 +1,2 @@
+DIST chromedriver_linux32.zip 3154004 SHA256 
3aca7babed99aec08a5eda717822532e9db81548b444d3aed53c4d8d2e3b19ab SHA512 
36d853050c58bfc79e3b04e14f9c00cb3b5dad42cbc6a7433b06ef841184443750d714d7a5c80528e237831adf68ddb3f24540b9f19e6601e9e483e57f50cc7b
 WHIRLPOOL 
308f6c5e5cd9bc6148e1c92172bafce20739908fe7d2a3a40159fca104a32250d91496bcb0540b1195be3bfe7697792daa8ed1187ee6da71e7cc8ee972407b0a
+DIST chromedriver_linux64.zip 3116161 SHA256 
0c01b05276da98f203dc7eb4236c2ee7fe799b432734e088549bd0aadc71958e SHA512 
ae1fa127560af1b8419c273f9e23253a19423276294cb920c87b0c209134244315c4d3878b9025589471d72056abb0087ef897f684e28d63b5fc71d628dd1791
 WHIRLPOOL 
01580ed5cdaab1f9be8068e1533f0518ca854d73afc4ce7251bcc32719e797e8a748824126ea833fef079c2d6306efd611f7b948bf609828f77767d9b81d7306

diff --git a/www-apps/chromedriver-bin/chromedriver-bin-2.24.ebuild 
b/www-apps/chromedriver-bin/chromedriver-bin-2.24.ebuild
new file mode 100644
index 00000000..c66b9b7
--- /dev/null
+++ b/www-apps/chromedriver-bin/chromedriver-bin-2.24.ebuild
@@ -0,0 +1,25 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+DESCRIPTION="WebDriver for Chrome"
+HOMEPAGE="https://sites.google.com/a/chromium.org/chromedriver";
+SRC_URI="amd64? ( 
https://chromedriver.storage.googleapis.com/${PV}/chromedriver_linux64.zip )
+       x86? ( 
https://chromedriver.storage.googleapis.com/${PV}/chromedriver_linux32.zip )"
+
+LICENSE="google-chrome"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+RDEPEND="|| ( www-client/google-chrome www-client/chromium )"
+
+S="${WORKDIR}"
+QA_PREBUILT="usr/bin/chromedriver"
+
+src_install()
+{
+       dobin chromedriver
+}

diff --git a/www-apps/chromedriver-bin/metadata.xml 
b/www-apps/chromedriver-bin/metadata.xml
new file mode 100644
index 00000000..bc54c24
--- /dev/null
+++ b/www-apps/chromedriver-bin/metadata.xml
@@ -0,0 +1,12 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd";>
+<pkgmetadata>
+  <maintainer type="person">
+    <email>wizarde...@gentoo.org</email>
+    <name>Austin English</name>
+  </maintainer>
+  <longdescription>
+    ChromeDriver is an open source tool for automated testing of webapps 
across many browsers.
+    It provides capabilities for navigating to web pages, user input, 
JavaScript execution, and more.
+  </longdescription>
+</pkgmetadata>

Reply via email to